import sys

factors = {}

for line in sys.stdin:
    line = line.strip()
    reduce_type, values_list_str = line.split("\t", 1)
    values = map(float, values_list_str.split("\t"))
    factors[reduce_type] = values

reduce_types = [
    "default",
    "nice",
    "nice-19",
    "chrt-batch",
    "nice-19-chrt-batch",
    "chrt-idle"]
for reduce_type in reduce_types:
    print "| %s | 100" % reduce_type,
    base = factors[reduce_type][0]
    for index, value in enumerate(factors[reduce_type][1:]):
        print "| %0.1f" % (100.0 * value / base),
    print "|"
